[loggers]
keys = root,production,development

[handlers]
keys = root,production,development,console

[formatters]
keys = root,base,production,development

[handler_root]
class = logging.StreamHandler
formatter = root
args = ()

[handler_console]
class = logging.StreamHandler
formatter = root
args = ()

[handler_production]
class = logging.FileHandler
formatter = base
args = ('%(logfilename)s',)

[handler_development]
class = logging.FileHandler
formatter = base
args = ('%(logfilename)s',)

[formatter_root]
class = logging.Formatter
format = ROOT - %(asctime)s - [%(module)s:%(levelname)s] - %(message)s

[formatter_base]
class = logging.Formatter
format = %(asctime)s - [%(module)s:%(levelname)s] - %(message)s

[formatter_production]
class = logging.Formatter
format = %(asctime)s - [%(module)s:%(levelname)s] - %(message)s

[formatter_development]
class = logging.Formatter
format = %(asctime)s - [%(module)s:%(levelname)s] - %(message)s

[logger_root]
level = NOTSET
handlers = root
propagate = 1

[logger_production]
level = WARNING
handlers = production
propagate = 1
qualname = production

[logger_development]
level = DEBUG
handlers = development
propagate = 1
qualname = development

[current_mode]
mode = testing
filename = app-testing

